@echo off
rem ADDED by WebSphere Message Brokers Toolkit

rem set default value for MQSICOMMAND_PATH
set "MQSICOMMAND_PATH=$PACKAGE_DIR"

rem if MQSI_VERSION_V is not defined, assume version 8
if "%MQSI_VERSION_V%" == ""  (
  set MQSI_VERSION_V=8
) 

rem if MQSI_VERSION_R is not defined, assume release 0
if "%MQSI_VERSION_R%" == ""  (
  set MQSI_VERSION_R=0
) 

if %MQSI_VERSION_V% == 6 (
   if %MQSI_VERSION_R% == 0 (
      rem use the 6.0 toolkit commands
      set "MQSICOMMAND_PATH=C:\Program Files\IBM\MessageBrokersToolkit\6.0\eclipse;C:\Program Files\IBM\MessageBrokersToolkit\6.0"
   )
   if %MQSI_VERSION_R% == 1 (
      rem use the 6.1 toolkit commands
      set "MQSICOMMAND_PATH=$MB61_PACKAGE_DIR"
   )
)
if %MQSI_VERSION_V% == 7 (
   if %MQSI_VERSION_R% == 0 (
      rem use the 7.0 toolkit commands
      set "MQSICOMMAND_PATH=$MB70_PACKAGE_DIR"
   )
)
if %MQSI_VERSION_V% == 8 (
   if %MQSI_VERSION_R% == 0 (
      rem use the 8.0 toolkit commands
      set "MQSICOMMAND_PATH=$PACKAGE_DIR"
   )
)

set PATH=%MQSICOMMAND_PATH%;%PATH%;
